using Microsoft.ML.Data;

namespace TestLibrary
{
    /// <summary>
    ///  Է
    /// </summary>
    public class ModelInput
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  ID - VendorID

        /// <summary>
        ///  ID
        /// </summary>
        [ColumnName("vendor_id"), LoadColumn(0)]
        public string VendorID { get; set; }

        #endregion
        #region  ڵ - RateCode

        /// <summary>
        ///  ڵ
        /// </summary>
        [ColumnName("rate_code"), LoadColumn(1)]
        public float RateCode { get; set; }

        #endregion
        #region °  - PassengerCount

        /// <summary>
        /// ° 
        /// </summary>
        [ColumnName("passenger_count"), LoadColumn(2)]
        public float PassengerCount { get; set; }

        #endregion
        #region ̵ ð ( : ) - TripTimeInSeconds

        /// <summary>
        /// ̵ ð ( : )
        /// </summary>
        [ColumnName("trip_time_in_secs"), LoadColumn(3)]
        public float TripTimeInSeconds { get; set; }

        #endregion
        #region ̵ Ÿ - TripDistance

        /// <summary>
        /// ̵ Ÿ
        /// </summary>
        [ColumnName("trip_distance"), LoadColumn(4)]
        public float TripDistance { get; set; }

        #endregion
        #region  Ÿ - PaymentType

        /// <summary>
        ///  Ÿ
        /// </summary>
        [ColumnName("payment_type"), LoadColumn(5)]
        public string PaymentType { get; set; }

        #endregion
        #region  - FareAmount

        /// <summary>
        /// 
        /// </summary>
        [ColumnName("fare_amount"), LoadColumn(6)]
        public float FareAmount { get; set; }

        #endregion
    }
}