using System;

using TestLibrary;

namespace TestProject
{
    /// <summary>
    /// α׷
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region α׷ ϱ - Main()

        /// <summary>
        /// α׷ ϱ
        /// </summary>
        private static void Main()
        {
            ModelInput input = new ModelInput()
            {
                VendorID       = "CMT",
                RateCode       = 1f,
                PassengerCount = 1f,
                TripDistance   = 3.8f,
                PaymentType    = "CRD",
            };

            ModelOutput output = ConsumeModel.Predict(input);

            Console.WriteLine($" ID : {input.VendorID      }");
            Console.WriteLine($" ڵ : {input.RateCode      }");
            Console.WriteLine($"°    : {input.PassengerCount}");
            Console.WriteLine($"̵ Ÿ : {input.TripDistance  }");
            Console.WriteLine($" Ÿ : {input.PaymentType   }");
            Console.WriteLine();
            Console.WriteLine($"  : {output.Score        }");

            Console.ReadKey(true);
        }

        #endregion
    }
}